## org.apache.hadoop.fs.s3
Class S3FileSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.fs.s3.S3FileSystemException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VersionMismatchException

    public class S3FileSystemException

extends IOException

Thrown when there is a fatal exception while using `S3FileSystem`.

See Also:
  Serialized Form

Constructor Summary
`S3FileSystemException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### S3FileSystemException

    public S3FileSystemException(String message)

Copyright © 2009 The Apache Software Foundation